POST
/api/v1/callscountGet Call Count
Get call count
Retrieves the total number of API calls based on the provided date filters(The times are based on UTC).
- If both
fromDateandtoDateare provided, returns calls within the specified range. - If only
fromDateis provided, returns calls from that date up to the current date. - If only
toDateis provided, returns calls from the first day of that month up to the specifiedtoDate. - If no dates are provided, returns calls for the current month up to the present day.
Note: fromDate and toDate cannot be future dates.
POST
/api/v1/callscountParameter Details
| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | object | Optional | none |
» fromDate | body | string(date) | Optional | none |
» toDate | body | string(date) | Optional | none |
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Success | |
| 400 | Bad Request | Bad request | None |
| 401 | Unauthorized | Authentication Failed! | None |
| 429 | Too Many Requests | Too Many Requests. | None |
| 500 | Internal Server Error | Internal Server Error | None |
Example Request
# You can also use wget
curl -X POST https://api.flightrates.example.com/api/v1/callscount \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'
Body parameter
{
"fromDate": "2025-10-01",
"toDate": "2025-10-06"
}
Example responses
200 Response
{
"usageFrom": "2025-10-01T00:00:00",
"usageUntil": "2025-10-06T08:13:06",
"totalCalls": 2500
}
Need Support?
Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.